#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  KMix-25.12.2

- Next

  Konsole-25.12.2

- Up
- Home

# khelpcenter-25.12.2

## Introduction to Khelpcenter

Khelpcenter is an application that shows documentation for KDE Applications as well as displays manual and info pages.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/khelpcenter-25.12.2.tar.xz

- Download MD5 sum: 2e5701ffa3ea2564ac36769aeb19f94c

- Download size: 4.1 MB

- Estimated disk space required: 26 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### Khelpcenter Dependencies

#### Required

KDE Frameworks-6.23.0, libxml2-2.15.3, and xapian-2.0.0

#### Recommended

qtwebengine-6.11.0

#### Optional (Runtime)

kio-extras-25.12.2 (for displaying man pages and info pages)

## Installation of Khelpcenter

Install khelpcenter by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: khelpcenter
Installed Libraries: None
Installed Directories: $KF6_PREFIX/share/khelpcenter, $KF6_PREFIX/share/doc/HTML/*/{khelpcenter,fundamentals,onlinehelp}

### Short Descriptions

khelpcenter | is the help viewer for KDE applications

- Prev

  KMix-25.12.2

- Next

  Konsole-25.12.2

- Up
- Home